## org.apache.mahout.math.hadoop.similarity
Enum SimilarityType

    java.lang.Object
      java.lang.Enum<SimilarityType>
          org.apache.mahout.math.hadoop.similarity.SimilarityType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SimilarityType>

    public enum SimilarityType

extends java.lang.Enum<SimilarityType>

Enum Constant Summary
`SIMILARITY_COOCCURRENCE`
`SIMILARITY_EUCLIDEAN_DISTANCE`
`SIMILARITY_LOGLIKELIHOOD`
`SIMILARITY_PEARSON_CORRELATION`
`SIMILARITY_TANIMOTO_COEFFICIENT`
`SIMILARITY_UNCENTERED_COSINE`
`SIMILARITY_UNCENTERED_ZERO_ASSUMING_COSINE`

Method Summary
`java.lang.String` `getSimilarityImplementationClassName()`
`static java.lang.String` `listEnumNames()`
`static SimilarityType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SimilarityType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SIMILARITY_COOCCURRENCE

    public static final SimilarityType SIMILARITY_COOCCURRENCE

### SIMILARITY_EUCLIDEAN_DISTANCE

    public static final SimilarityType SIMILARITY_EUCLIDEAN_DISTANCE

### SIMILARITY_LOGLIKELIHOOD

    public static final SimilarityType SIMILARITY_LOGLIKELIHOOD

### SIMILARITY_PEARSON_CORRELATION

    public static final SimilarityType SIMILARITY_PEARSON_CORRELATION

### SIMILARITY_TANIMOTO_COEFFICIENT

    public static final SimilarityType SIMILARITY_TANIMOTO_COEFFICIENT

### SIMILARITY_UNCENTERED_COSINE

    public static final SimilarityType SIMILARITY_UNCENTERED_COSINE

### SIMILARITY_UNCENTERED_ZERO_ASSUMING_COSINE

    public static final SimilarityType SIMILARITY_UNCENTERED_ZERO_ASSUMING_COSINE

Method Detail

### values

    public static SimilarityType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SimilarityType c : SimilarityType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SimilarityType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getSimilarityImplementationClassName

    public java.lang.String getSimilarityImplementationClassName()

### listEnumNames

    public static java.lang.String listEnumNames()

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.